petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSubcommCreate

Create a PetscSubcomm context.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommCreate(MPI_Comm comm,PetscSubcomm *psubcomm)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

psubcomm -location to store the PetscSubcomm context Many br

Many br

### Keywords

communicator, create

### See Also

PetscSubcommDestroy()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex15.c.html